Subject: Re: [PATCH 02/32] Introduce flexible array struct memcpy() helpers

From: Keith Packard <[email-masked]>
Date: Thu, 05 May 2022 08:16:11 -0700

Johannes Berg <[email-masked]> writes:

> Yeah, dunno, I guess I'm slightly more on the side of not requiring it,
> since we don't do the same for kmalloc() etc. and probably really
> wouldn't want to add kmalloc_s() that does it ;-)

I suspect the number of bugs this catches will be small, but they'll be
in places where the flow of control is complicated. What we want is to
know that there's no "real" value already present. I'd love it if we
could make the macro declare a new name (yeah, I know, mixing
declarations and code).

Of course, we could also end up with people writing a wrapping macro
that sets the variable to NULL before invoking the underlying macro...

-- 
-keith